<template>
	<div class="dialplan-action">
		<el-row>
			<el-col :span="8" class="padding-right">
				<el-autocomplete trigger-on-focus placeholder="Comando" style="width:100%"
					v-model="cApp" value-key="name"
					:fetch-suggestions="filtrarAppName" size="mini"
				></el-autocomplete>	
			</el-col>
			<el-col :span="16">
				<el-input v-model="cParams" :placeholder="placeholder" class="font-fixed"  size="mini" />
			</el-col>

		</el-row>
	</div>
</template>
<script>
export default {
	props: {
		value: String,
		params: String,
		commands: Array,
	},
	computed: {
		cApp:{
			get(){
				return this.value
			},
			set(v){
				this.$emit('input',v)
			}
		},
		cParams:{
			get(){
				return this.params
			},
			set(v){
				this.$emit('update:params',v)
			}
		},
		placeholder() {
			let ret = this.commands.find(c => c.name == this.value)
			return ret ? ret.params : 'Parámetros'
		}
	},
	methods: {
		filtrarAppName(query, cb) {
			let res = []
			this.loading = true;
			if (query !== '') {
				res = this.commands.filter(item => {
					return item.name.toLowerCase()
						.indexOf(query.toLowerCase()) > -1;
				});
			} else {
				res = this.commands
			}
				this.loading = false;
			cb(res)
		},

	},
	data(){
		return {
			// placeholder: "Parámetros",
		}
	}
	
}
</script>
<style  scoped>
	.dialplan-action .padding-right {
			padding-right: 15px;
	}
	.dialplan-action .font-fixed input{
		font-family: "Lucida Console";
		color: #4958a8;
	}
	.font-fixed input{
		font-family: "Lucida Console";
		color: #4958a8;
	}

</style>
<style lang="css">
</style>